package tools.requesttrace;

import java.net.URLEncoder;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.impl.HDSInversionImpl;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SpaceExplorerTraceToolAccessor extends StandardAccessorImpl
{
	public SpaceExplorerTraceToolAccessor()
	{	this.declareThreadSafe();			
	}

	@Override
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		String spaceHash=aContext.getThisRequest().getArgumentValue("entityId");
		String moduleHash=URLEncoder.encode(spaceHash.split("/")[0],"UTF-8");
		spaceHash=URLEncoder.encode(spaceHash, "UTF-8");
		INKFResponse resp=aContext.createResponseFrom("");
		resp.setHeader("httpResponse:/redirect", "/tools/requesttrace?module="+moduleHash+"&space="+spaceHash+"&uri=&verb=1&action1=");
	}

	
}
